Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdfparser
Class PDFStreamParser

    java.lang.Object
      org.pdfbox.pdfparser.BaseParser
          org.pdfbox.pdfparser.PDFStreamParser

public class PDFStreamParser
extends BaseParser

This will parse a PDF byte stream and extract operands and such.

Version:
  $Revision: 1.32 $
Author:
  Ben Litchfield

Field Summary

Fields inherited from class org.pdfbox.pdfparser.BaseParser
`DEF, ENDSTREAM, pdfSource`

Constructor Summary
`PDFStreamParser(COSStream stream)` Constructor.
`PDFStreamParser(InputStream stream, RandomAccess raf)` Constructor that takes a stream to parse.
`PDFStreamParser(PDStream stream)` Constructor.

Method Summary
`List` | `getTokens()` This will get the tokens that were parsed from the stream.
`void` | `parse()` This will parse the tokens in the stream.
`protected String` | `readOperator()` This will read an operator from the stream.

Methods inherited from class org.pdfbox.pdfparser.BaseParser
`addXref, getXrefs, isClosing, isClosing, isEndOfName, isEOL, isEOL, isWhitespace, isWhitespace, parseBoolean, parseCOSArray, parseCOSDictionary, parseCOSName, parseCOSStream, parseCOSString, parseDirObject, readExpectedString, readInt, readLine, readString, readString, setDocument, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFStreamParser

    public PDFStreamParser(InputStream stream,
                           RandomAccess raf)
                    throws IOException

  Constructor that takes a stream to parse.

Parameters:
  `stream` - The stream to read data from.
  `raf` - The random access file.
Throws:
  `IOException` - If there is an error reading from the stream.

### PDFStreamParser

    public PDFStreamParser(PDStream stream)
                    throws IOException

  Constructor.

Parameters:
  `stream` - The stream to parse.
Throws:
  `IOException` - If there is an error initializing the stream.

### PDFStreamParser

    public PDFStreamParser(COSStream stream)
                    throws IOException

  Constructor.

Parameters:
  `stream` - The stream to parse.
Throws:
  `IOException` - If there is an error initializing the stream.

Method Detail

### parse

    public void parse()
               throws IOException

  This will parse the tokens in the stream. This will close the stream when it is finished parsing.

  Throws:
    `IOException` - If there is an error while parsing the stream.

### getTokens

    public List getTokens()

  This will get the tokens that were parsed from the stream.

  Returns:
    All of the tokens in the stream.

### readOperator

    protected String readOperator()
                           throws IOException

  This will read an operator from the stream.

  Returns:
    The operator that was read from the stream.
  Throws:
    `IOException` - If there is an error reading from the stream.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD